package cn.iocoder.yudao.module.mes.dal.mysql.moldreturn;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.moldreturn.MoldReturnDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.mes.controller.admin.moldreturn.vo.*;

/**
 * 模具管理-模具入库 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface MoldReturnMapper extends BaseMapperX<MoldReturnDO> {

    default PageResult<MoldReturnDO> selectPage(MoldReturnPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<MoldReturnDO>()
                .eqIfPresent(MoldReturnDO::getOrderId, reqVO.getOrderId())
                .eqIfPresent(MoldReturnDO::getCode, reqVO.getCode())
                .likeIfPresent(MoldReturnDO::getName, reqVO.getName())
                .eqIfPresent(MoldReturnDO::getState, reqVO.getState())
                .eqIfPresent(MoldReturnDO::getPerson, reqVO.getPerson())
                .betweenIfPresent(MoldReturnDO::getReturnTime, reqVO.getReturnTime())
                .eqIfPresent(MoldReturnDO::getPrincipal, reqVO.getPrincipal())
                .eqIfPresent(MoldReturnDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(MoldReturnDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(MoldReturnDO::getId));
    }

}